# Combined Data Mining Utility

This script provides a combined utility for data mining tasks related to PubMed articles. It offers various functionalities to facilitate tasks such as searching PubMed, retrieving abstracts, downloading full texts, processing PubMed IDs, crawling URLs, removing duplicates, converting PDFs to text files, and additional utilities.

## Getting Started

### Prerequisites

Ensure you have Python installed on your system. The script is compatible with both Python 2 and 3.

### Installation

1. Clone or download the script to your local machine.

2. Navigate to the directory containing the script.

3. Run the script using Python.


## Usage

Upon running the script, you will be prompted with a menu to select the desired functionality. The available options include:

- PubMed search/query
- Get abstracts from PubMed IDs
- Attempt full text download from PubMed
- Process PubMed IDs to get DOI for 3rd party search
- URL transformation of PubMed IDs for 3rd party search
- Crawling and downloading from URLs
- Removing duplicates
- Converting PDFs to text files
- Additional utilities

Follow the on-screen instructions to navigate through the menu and execute the desired tasks.

## License

By using this script, you agree to the terms of the LICENSE included in the repository.

## Contributing

Contributions are welcome! Feel free to submit pull requests or open issues for any improvements or bug fixes.

## Acknowledgments

- This script was developed to simplify various data mining tasks related to PubMed articles.
- Special thanks to the developers and contributors of the libraries used in this script.
